# Copyright 2023 Takin Profit. All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.
from typing import Literal, Union

EventName = Union[
    Literal[
        "afterprint",
        "beforeprint",
        "beforeunload",
        "error",
        "hashchange",
        "load",
        "message",
        "offline",
        "online",
        "pagehide",
        "pageshow",
        "popstate",
        "resize",
        "storage",
        "unload",
        "blur",
        "change",
        "contextmenu",
        "focus",
        "input",
        "invalid",
        "reset",
        "search",
        "select",
        "submit",
        "keydown",
        "keypress",
        "keyup",
        "click",
        "dblclick",
        "mousedown",
        "mousemove",
        "mouseout",
        "mouseover",
        "mouseup",
        "mousewheel",
        "wheel",
        "drag",
        "dragend",
        "dragenter",
        "dragleave",
        "dragover",
        "dragstart",
        "drop",
        "scroll",
        "copy",
        "cut",
        "paste",
        "abort",
        "canplay",
        "canplaythrough",
        "cuechange",
        "durationchange",
        "emptied",
        "ended",
        "error",
        "loadeddata",
        "loadedmetadata",
        "loadstart",
        "pause",
        "play",
        "playing",
        "progress",
        "ratechange",
        "seeked",
        "seeking",
        "stalled",
        "suspend",
        "timeupdate",
        "volumechange",
        "waiting",
        "animationend",
        "animationiteration",
        "animationstart",
        "transitionend",
        "toggle",
        "htmx:abort",
        "htmx:afterOnLoad",
        "htmx:afterRequest",
        "htmx:afterProcessNode",
        "htmx:afterSettle",
        "htmx:afterSwap",
        "htmx:beforeOnLoad",
        "htmx:beforeProcessNode",
        "htmx:beforeRequest",
        "htmx:beforeSend",
        "htmx:beforeSwap",
        "htmx:beforeTransition",
        "htmx:configRequest",
        "htmx:confirm",
        "htmx:historyCacheError",
        "htmx:historyCacheMiss",
        "htmx:historyCacheMissError",
        "htmx:historyCacheMissLoad",
        "htmx:historyRestore",
        "htmx:historySave",
        "htmx:load",
        "htmx:noSSESourceError",
        "htmx:oobAfterSwap",
        "htmx:oobBeforeSwap",
        "htmx:oobErrorNoTarget",
        "htmx:onLoadError",
        "htmx:prompt",
        "htmx:pushedIntoHistory",
        "htmx:responseError",
        "htmx:sendError",
        "htmx:sseError",
        "htmx:swapError",
        "htmx:targetError",
        "htmx:timeout",
        "htmx:trigger",
        "htmx:validation:validate",
        "htmx:validation:failed",
        "htmx:validation:halted",
        "htmx:xhr:abort",
        "htmx:xhr:loadstart",
        "htmx:xhr:loadend",
        "htmx:xhr:progress",
    ],
    str,
]
